.NET中低版本程序调用高版本DLL

.NET中低版本程序调用高版本DLL

下面以在C#2.0的程序里调用C#4.0开发的dll为例

一、方式1

  •  
  • 
    <configuration>
    ...
    <startup>
          <requiredRuntime version="4.0.30319" safemode="true"/>
    </startup>
    ...
    </configuration>
    
    			
  •  

    二、方式2

  •  
  • 
    <configuration>
    ...
    <startup>
          <requiredRuntime version="V4.0"/>
    </startup>
    ...
    </configuration>
    
    					
  • 标签: